## hash-o-matic 1.0.1+p24.04+vstable+git20251001.0450

=== debian/changelog ===
hash-o-matic (1.0.1+p24.04+vstable+git20251001.0450-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 04:50:22 +0000

hash-o-matic (1.0.1-0neon) noble; urgency=medium

  * Initial packaging

 -- Neon CI <neon@kde.org>  Mon, 18 Nov 2024 10:04:07 +1000

## hash-o-matic 1.0.1+p24.04+vstable+git20251005.1030

=== debian/changelog ===
hash-o-matic (1.0.1+p24.04+vstable+git20251005.1030-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 05 Oct 2025 10:30:34 +0000

## hash-o-matic 1.0.1+p24.04+vstable+git20251015.1737

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Carl Schwan <carl@carlschwan.eu>
# SPDX-License-Identifier: BSD-2-Clause

cmake_minimum_required(VERSION 3.16)

project(hashomatic VERSION 1.0.1)

set(QT_MIN_VERSION "6.5.0")
set(KF_MIN_VERSION "6.0.0")
set(KPIM_LIBKLEO_VERSION "6.0.0")
set(KDE_COMPILERSETTINGS_LEVEL "6.0.0")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(FeatureSummary)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMPoQmTools)
include(ECMAddTests)
include(KDEGitCommitHooks)
include(KDEClangFormat)
include(ECMQmlModule)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX HASHVALIDATOR
    SOVERSION ${PROJECT_VERSION_MAJOR}
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/config-hashomatic.h"
)

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Core Gui Qml QuickControls2 Svg)
find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Kirigami I18n CoreAddons Config)

if (NOT ANDROID AND NOT WIN32 AND NOT APPLE AND NOT HAIKU)
    find_package(KF6DBusAddons ${KF_MIN_VERSION} REQUIRED)
    find_package(KF6WindowSystem ${KF_MIN_VERSION} REQUIRED)
endif()

if (NOT ANDROID)
    find_package(Qt6Widgets ${QT_MIN_VERSION} REQUIRED)
endif()

find_package(KPim6Libkleo ${KPIM_LIBKLEO_VERSION} CONFIG)
set_package_properties(Gpgmepp PROPERTIES
    DESCRIPTION "LibKleo Library"
    URL "https://invent.kde.org/pim/libkleo/"
    TYPE OPTIONAL
    PURPOSE "LibKleo is required for OpenPGP support"
)

find_package(Gpgmepp ${GPGME_REQUIRED_VERSION} CONFIG)
set_package_properties(Gpgmepp PROPERTIES
    DESCRIPTION "GpgME++ Library"
    URL "https://www.gnupg.org"
    TYPE OPTIONAL
    PURPOSE "GpgME++ is required for OpenPGP support"
)

find_package(QGpgmeQt6 ${GPGME_REQUIRED_VERSION} CONFIG)
set_package_properties(Gpgmepp PROPERTIES
    DESCRIPTION "QGpgME Library"
    URL "https://www.gnupg.org"
    TYPE OPTIONAL
    PURPOSE "QGpgME is required for OpenPGP support"
)

find_package(KF6KirigamiAddons 1.9.0)
set_package_properties(KF6KirigamiAddons PROPERTIES
    TYPE REQUIRED
    PURPOSE "Required application components and runtime dependency"
)
add_subdirectory(src)

ki18n_install(po)

if (BUILD_TESTING)
    find_package(Qt6Test ${QT_MIN_VERSION} REQUIRED)
    add_subdirectory(autotests)
endif()


install(PROGRAMS org.kde.hashomatic.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.hashomatic.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES org.kde.hashomatic.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Carl Schwan <carlschwan@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

add_definitions(-DDATA_DIR="${CMAKE_CURRENT_SOURCE_DIR}" )

ecm_add_test(hashhelpertest.cpp
    TEST_NAME hashhelpertest
    LINK_LIBRARIES hashomatic_static Qt::Test
    NAME_PREFIX "app-"
)

ecm_add_test(controllertest.cpp
    TEST_NAME controllertest
    LINK_LIBRARIES hashomatic_static Qt::Test
    NAME_PREFIX "app-"
)

=== src/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2021 Carl Schwan <carl@carlschwan.eu>

add_library(hashomatic_static STATIC)
ecm_add_qml_module(hashomatic_static
    URI org.kde.hashomatic
    VERSION 1.0
    GENERATE_PLUGIN_SOURCE
    QML_FILES
        qml/Main.qml
        qml/GeneratePage.qml
        qml/GlobalMenu.qml
        qml/ComparePage.qml
        qml/VerifyPage.qml
        qml/AboutPage.qml
)

target_sources(hashomatic_static PUBLIC
    controller.cpp
    controller.h
    hashhelper.cpp
    hashhelper.h
)

target_link_libraries(hashomatic_static
    PUBLIC
        Qt6::Core
        Qt6::Gui
        Qt6::Qml
        Qt6::Quick
        Qt6::QuickControls2
        Qt6::Svg
        KF6::I18n
        KF6::CoreAddons
        KF6::ConfigGui
)

if(TARGET KF6::WindowSystem)
    target_link_libraries(hashomatic_static PUBLIC KF6::WindowSystem)
    target_compile_definitions(hashomatic_static PUBLIC -DHAVE_WINDOWSYSTEM)
endif()

if(TARGET Gpgmepp)
    target_link_libraries(hashomatic_static PUBLIC Gpgmepp QGpgmeQt6 KPim6::Libkleo)
    target_compile_definitions(hashomatic_static PUBLIC -DHAVE_GPGME)
    target_sources(hashomatic_static PUBLIC urlhandler.cpp urlhandler.h)
endif()

add_executable(hashomatic
    main.cpp
)

target_link_libraries(hashomatic PRIVATE hashomatic_static hashomatic_staticplugin)

if(TARGET KF6::DBusAddons)
    target_link_libraries(hashomatic PRIVATE KF6::DBusAddons)
    target_compile_definitions(hashomatic PRIVATE -DHAVE_KDBUSADDONS)
endif()

if(TARGET Qt6::Widgets)
    target_link_libraries(hashomatic PRIVATE Qt6::Widgets)
endif()



install(TARGETS hashomatic ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES hashFile.desktop DESTINATION ${KDE_INSTALL_DATADIR}/kio/servicemenus)

=== debian/changelog ===
hash-o-matic (1.0.1+p24.04+vstable+git20251015.1737-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 17:37:50 +0000

=== debian/control ===
Source: hash-o-matic
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-ki18n-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami-dev,
               kf6-kwindowsystem-dev,
               kf6-qqc2-desktop-style-dev,
               kpim6-libkleo-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-multimedia-dev
Standards-Version: 4.6.2
Homepage: http://www.kde.org/
Vcs-Git: https://invent.kde.org/neon/neon-packaging/hash-o-matic.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/hash-o-matic
Maintainer: Neon CI <neon@kde.org>

Package: hash-o-matic
Architecture: any
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE checksum generator
 Hash-o-matic is an application allowing to generate sha256, sha1 and md5
 checksum from files.

## hash-o-matic 1.0.1+p24.04+vstable+git20251019.0636

=== debian/changelog ===
hash-o-matic (1.0.1+p24.04+vstable+git20251019.0636-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 06:36:26 +0000

## hash-o-matic 1.0.1+p24.04+vstable+git20260105.0910

=== debian/changelog ===
hash-o-matic (1.0.1+p24.04+vstable+git20260105.0910-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 09:10:59 +0000

## hash-o-matic 1.0.1+p24.04+vstable+git20260130.0743

=== debian/changelog ===
hash-o-matic (1.0.1+p24.04+vstable+git20260130.0743-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 07:43:19 +0000

## hash-o-matic 1.0.1+p24.04+vstable+git20260205.0507

=== debian/changelog ===
hash-o-matic (1.0.1+p24.04+vstable+git20260205.0507-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 05:08:00 +0000

## hash-o-matic 1.0.1+p24.04+vunstable+git20260130.0803

=== debian/changelog ===
hash-o-matic (1.0.1+p24.04+vunstable+git20260130.0803-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 08:03:20 +0000

## hash-o-matic 1.0.1+p24.04+vunstable+git20260205.0757

=== debian/changelog ===
hash-o-matic (1.0.1+p24.04+vunstable+git20260205.0757-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 07:57:45 +0000
